Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Slackware Local Security Checks >> SSA-2004-154-01 mod_ssl


Vulnerability Assessment Details

SSA-2004-154-01 mod_ssl

Vulnerability Assessment Summary
SSA-2004-154-01 mod_ssl

Detailed Explanation for this Vulnerability Assessment

New mod_ssl packages are available for Slackware 8.1, 9.0, 9.1, and -current
to fix a security issue. The packages were upgraded to mod_ssl-2.8.18-1.3.31
fixing a buffer overflow that may permit remote attackers to execute arbitrary
code via a client certificate with a long subject DN, if mod_ssl is
configured to trust the issuing CA. Web sites running mod_ssl should upgrade
to the new set of apache and mod_ssl packages. There are new PHP packages as
well to fix a Slackware-specific local denial-of-service issue (an additional
Slackware advisory SSA:2004-154-02 has been issued for PHP).

More details about the mod_ssl issue may be found in the Common
Vulnerabilities and Exposures (CVE) database:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0488



Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2005 Michel Arboi

Cables, Connectors

DELL 300GB 10K 6G SFF 2.5'' SAS HARD DRIVE - Pulled from working servers
$30.0
DELL 300GB 10K 6G SFF 2.5'' SAS HARD DRIVE - Pulled from working servers pictureLOT OF 4 DELL NPTFH HARD DRIVE BLANKS FOR R720 SERVERS SKU185889
$14.99
LOT OF 4 DELL NPTFH HARD DRIVE BLANKS FOR R720 SERVERS SKU185889 pictureUSED DELL J57T0 RISER BOARD/RISER ASSEMBLY FOR R720 SERVERS SKU#185874
$14.49
USED DELL J57T0 RISER BOARD/RISER ASSEMBLY FOR R720 SERVERS SKU#185874 picture


Discussions

No Discussions have been posted on this vulnerability.